SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by: true
links:
- role: spec-member
  uid: root
- role: spec-refinement
  spec-key: interface-type
  spec-value: appl-config-option
  uid: interface
spec-description: null
spec-example: null
spec-info:
  dict:
    attributes:
      appl-config-option-type:
        description: |
          It shall be the application configuration option type.
        spec-type: name
      description:
        description: |
          The ${appl-config-option-value:/spec-name} items have an
          attribute for constraints.
        spec-type: interface-description
      name:
        description: null
        spec-type: appl-config-option-name
      notes:
        description: null
        spec-type: interface-notes
      text:
        description: |
          It shall state the requirement for the application configuration
          option.
        spec-type: requirement-text
    description: |
      This set of attributes specifies an application configuration option.
    mandatory-attributes: all
spec-name: Application Configuration Option Item Type
spec-type: appl-config-option
type: spec
